#include <iostream>
#include <vector>

#define SYNC ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0); cerr.tie(0);

using namespace std;

int main() {
	SYNC;

	int N, K;

	cin >> N >> K;

	vector<int> karte(N);

	for (int i = 0; i < N; i++) cin >> karte[i];

	for (int i = 0; i < N; i++) {	
		if (K == karte[i]) {
			if (i + 1 != karte.size()) {
				cout << karte[i + 1];
				break;
			}
			else {
				cout << karte[0];
				break;
			}
		}
	}

	cout << "\n";
	return 0;
}